Bug 631371 - FTBFS isomd5sum-1.0.6-2.fc14
FTBFS isomd5sum-1.0.6-2.fc14
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: isomd5sum (Show other bugs)
14
All Linux
high Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
http://linux.dell.com/files/fedora/Fi...
: Triaged
Depends On: 631552
Blocks: F14FTBFS
  Show dependency treegraph
 
Reported: 2010-09-07 14:33 EDT by FTBFS
Modified: 2010-09-29 10:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-29 10:43:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
root.log (18.58 KB, text/plain)
2010-09-07 14:33 EDT, FTBFS
no flags Details
build.log (2.80 KB, text/plain)
2010-09-07 14:33 EDT, FTBFS
no flags Details
mock.log (898 bytes, text/plain)
2010-09-07 14:33 EDT, FTBFS
no flags Details
root.log (22.94 KB, text/plain)
2010-09-07 14:33 EDT, FTBFS
no flags Details
build.log (2.79 KB, text/plain)
2010-09-07 14:33 EDT, FTBFS
no flags Details
mock.log (983 bytes, text/plain)
2010-09-07 14:33 EDT, FTBFS
no flags Details

  None (edit)
Description FTBFS 2010-09-07 14:33:21 EDT
isomd5sum-1.0.6-2.fc14.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2010-09-07 14:33:24 EDT
Created an attachment (id=445240)
root.log

root.log for i386
Comment 2 FTBFS 2010-09-07 14:33:25 EDT
Created an attachment (id=445241)
build.log

build.log for i386
Comment 3 FTBFS 2010-09-07 14:33:27 EDT
Created an attachment (id=445242)
mock.log

mock.log for i386
Comment 4 FTBFS 2010-09-07 14:33:28 EDT
Created an attachment (id=445243)
root.log

root.log for x86_64
Comment 5 FTBFS 2010-09-07 14:33:29 EDT
Created an attachment (id=445244)
build.log

build.log for x86_64
Comment 6 FTBFS 2010-09-07 14:33:31 EDT
Created an attachment (id=445245)
mock.log

mock.log for x86_64
Comment 7 Henrik Nordström 2010-09-07 16:46:41 EDT
Makefile says:

libimplantisomd5.a: libimplantisomd5.a(libimplantisomd5.o md5.o)

libcheckisomd5.a: libcheckisomd5.a(libcheckisomd5.o md5.o)

The F14 make for some reason dislikes this constructs like this in dependencies. If rewritten as follow it works

libimplantisomd5.a: libimplantisomd5.a(libimplantisomd5.o) \
                    libimplantisomd5.a(md5.o)

libcheckisomd5.a: libcheckisomd5.a(libcheckisomd5.o) \
                  libcheckisomd5.a(md5.o)

This smells like a F14 make bug. There is nothing wrong with the original rule.
Comment 8 Brian Lane 2010-09-07 16:54:20 EDT
F14 was updated to make 3.82 on 8/24/2010, rawhide is still using make 3.81 and the build still works fine in rawhide. Created bug 631552 for make and added it as a dependency.
Comment 9 Chris Lumens 2010-09-29 10:43:23 EDT
This should now be fixed given that the make update has happened.

Note You need to log in before you can comment on or make changes to this bug.